using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading.Tasks;



namespace wpf_template.models
{

    interface IDataProvider
    {
        IEnumerable<People> getPeople();
        IEnumerable<PeopleGender> getGender();
        IEnumerable<PeopleAge> getAge();
        IEnumerable<PeoplePlace> getPlace();
    }

    class Globals
    {
        public static IDataProvider dataProvider;
        IEnumerable<PeopleGender> getPeopleGenders()
        {
            return new PeopleGender[] {
                new PeopleGender { title = "Ж"},
                new PeopleGender { title = "М"}
            };
        }
        IEnumerable<PeopleAge> getPeopleAges()
        {
            return new PeopleAge[] {
                new PeopleAge{title="Все возраста", AgeFrom=0, AgeTo=99},
                new PeopleAge{title="Подростки", AgeFrom=15, AgeTo = 18},
                new PeopleAge{title="Молодые", AgeFrom=18, AgeTo=30},
                new PeopleAge{title="В Возврасте", AgeFrom=30, AgeTo=99}
            };
        }
        IEnumerable<PeoplePlace> getPeoplePlace()
        {
            return new PeoplePlace[] {
                new PeoplePlace { title = "Набережная"},
                new PeoplePlace { title = "Бульвар"},
                new PeoplePlace { title = "Йолка"},
                new PeoplePlace { title = "Планета"},
                new PeoplePlace { title = "ЙОТК"},
                new PeoplePlace { title = "Ремзавод"},
                new PeoplePlace { title = "Медведево"},
                new PeoplePlace { title = "Пляж"},
            };
        }
    }
}
